.window-content {
  font-family: $font-primary;
}

form.principal {
  display: grid;
  grid: "sidebar header" 110px 
        "sidebar nav" minmax(min-content, max-content) 
        "sidebar content" 1fr/170px 1fr;


}

form {
  aside {
    grid-area: sidebar;
    .sidebar {
      //background-color: $c-brown-a;
      background: url(frame_dragon_bg3.png) no-repeat top left;

      margin: 0px 5px 0 0px;
      // overflow: auto;
      // overflow-x: hidden;
      height: 900px;
      // overflow: hidden scroll;
      // scrollbar-width: thin;

      .frame {
        // background: url(golden_dragon_frame.png) no-repeat top left;
        background-size: 161px 161px, cover;
        height: 160px;
        margin-left: 2px;
        margin-top: 0px;
    }

    .profile-img {
        position: relative;
        top: 90px;
        right: -35px;
        height: 90px;
        width: 90px;
        border-radius: 60px;
        object-fit: cover;
        object-position: top;
        cursor: pointer;
    }
    }
  }
}

.header.sheet-header {
  display: flex;
  justify-content: space-between;
  background-color: $c-beige;
}

.sheet-header>* {
  flex: 1;
}
.sheet-header h1 {
  margin-top: 10px;
  border: none;
}

nav.sheet-navigation {
  font-size: 10px;
  display: inline-flex;
  justify-content: space-evenly;
  align-items: center;
  border: none;
  // color: white;
  text-transform: uppercase;
}
.sheet-navigation {
  grid-area: nav;
  margin-right: 20px;

  a.item.active {
      border-bottom: 1px solid $c-blood;
      text-shadow: 0 0 8px red;
  }
}

.content {
  float: right;
  width: calc(100% - 150px)
}

.sheet-body {
  position: relative;
  grid-area: content;
}

.item-form {
  font-family: $font-primary;
}

.sheet-header {
  grid-area: header;
  flex: 0 0 120px;
  overflow: hidden;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;
  margin-bottom: 0px;

  .profile-img {
    flex: 0 0 100px;
    height: 100px;
    margin-right: 10px;
  }

  .header-fields {
    flex: 1;
    font-family: "Fondamento", cursive;
  }

  h1.charname {
    height: 50px;
    padding: 0px;
    margin: 5px 0;
    border-bottom: 0;
    input {
      width: 100%;
      height: 100%;
      margin: 0;
    }
  }
}


.sheet-tabs {
  flex: 0;
}

.sheet-body,
.sheet-body .tab,
.sheet-body .tab .editor {
  height: 100%;
  // min-height: 200px;
}

.tox {
  .tox-editor-container {
    background: $c-white;
  }

  .tox-edit-area {
    padding: 0 8px;
  }
}

.col-5 {
  width: 5%;
}

.col-10 {
  width: 10%;
}

.col-15 {
  width: 15%;
}

.col-20 {
  width: 20%;
}

.col-25 {
  width: 25%;
}

.col-30 {
  width: 30%;
}

.col-40 {
  width: 40%;
}

.col-50 {
  width: 50%;
}

.col-60 {
  width: 60%;
}

.col-70 {
  width: 70%;
}

.col-80 {
  width: 80%;
}

// .inventory {
//   margin: 3px 0;
// }
// .inventory .inventory-info {
//   line-height: 30px;
// }
// .inventory .currency {
//   display: inline;
//   vertical-align: top;
// }
// .inventory .currency input {
//   width: auto;
// }
.inventory-categories {
  // height: 520px;
  hr {
    margin-top: 0;
    border-top: 1px solid #999a;
}
}
.inventory-categories .items-section .header-field {
  margin: 0;
  background: $c-brown-a;
}
.inventory-categories .item-titles {
  text-align: center;
  border-top-right-radius: 3px;
  border-top-left-radius: 3px;
  margin-top: 1px;
  padding-top: 2px;
  font-weight: 300;
  font-size: 12px;
  background: $c-beige;
  color: $c-white;
}
.inventory-categories .item-titles .item-name {
  text-align: left;
  text-indent: 8px;
  flex-grow: 3;
}
.inventory-categories .item-list {
  list-style: none;
  margin: 0;
  padding: 0;
  font-size: 12px;
}
.inventory-categories .item-list li {
  padding: 0 2px;
}
.inventory-categories .item-list .item-header {
  padding: 0px;
  margin-bottom: 0px;
}
.inventory-categories .item-list .item {
  line-height: 30px;
  height: 30px;
}
.inventory-categories .item-list .item:nth-child(even) {
  background: rgba(0, 0, 0, 0.1);
}
.inventory-categories .item-list .item-equipped {
  grid-area: item-equipped;
  justify-self: center;
}
.inventory-categories .item-list .item-name {
  text-indent: 8px;
  text-align: left;
  height: 30px;
  margin: 0;
  line-height: 30px;
  flex-grow: 3;
}
.inventory-categories .item-list .item-name .item-image {
  flex-basis: 30px;
  margin: 2px;
  flex-grow: 0;
  background-size: contain;
  background-repeat: no-repeat;
}
.inventory-categories .item-list .item-name h4 {
  margin: 0;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  text-align: left;
  max-width: 180px;
}
.field-longest {
  // text-indent: 8px;
  text-align: left;
  flex-grow: 4;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.field-longer {
  // text-indent: 8px;
  text-align: left;
  flex-grow: 3;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.field-long {
  flex-grow: 2;
  text-align: center;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.inventory-categories .field-short {
  flex-grow: 1;
  text-align: center;
  white-space: nowrap;
  overflow: hidden;
  // text-overflow: ellipsis;
}
.inventory-categories .item-controls {
  flex-basis: 70px;
  flex-grow: 0;
  text-align: right;
  margin-right: 4px;
}

.inventory-categories .item-controls .item-unequipped {
  color: rgba(0, 0, 0, 0.2);
}

 .sheet-body .header-field {
  padding: 5px;
  background: $c-brown-a;
  border: 1px solid $c-brown;
  border-top-right-radius: 2px;
  border-top-left-radius: 2px;
  text-align: center;
  color: $c-white;
}
 .sheet-body .header-field .header-field-add {
  flex-grow: 0;
  flex-basis: 15px;
}

 .window-content {
  padding: 5px;
  overflow-y: scroll;
}
 .sheet-header.equip {
  overflow: hidden;
  flex-wrap: nowrap;
  flex: 0 0 72px;
  margin-bottom: 0px;
}

 .profile-img-container {
  position: relative;
  width: 64x;
  max-width: 64px;
  height: 64x;
  margin-right: 2px;
}
 .profile-img-container img {
  margin: 0;
  border: none;
}
 .profile-img-container .profile-img {
  height: inherit;
  width: inherit;
  object-fit: contain;
  cursor: pointer;
}
 .profile-img-container .fade-in-05 {
  opacity: 0.5;
}
 .itemline {
  height: 60px;
  width: 100%;
  display: inline-flex;
}
 .itemline .itemname {
  height: 100%;
  margin: 0;
}
 .itemline .itemname input {
  width: 100%;
  height: 100%;
  margin: 0;
}
 .itemline .item-controls {
  width: 10%;
  text-align: center;
  margin-left: 4px;
}
 .header-fields {
  flex: 1;
  // height: 110px;
  padding: 5px;
}
 .header-fields input , .header-fields select{
  background-color: $c-grey-alpha;
  border: 1px solid #fff5;
}

.form-fields input, .form-fields select, .form-fields textarea {
  width: 60px;
  background-color: $c-grey-alpha;
  border: 1px solid #999;
  font-family: "book-antiqua"
}

.editor {
  border: 1px groove $c-blood;
  height: 100%;
  padding: 0 3px;
  font-family: "book-antiqua";
  // font-size: 13px;
  .editor-container{
    height: 100%;
  }
}

 .sheet-body .item-stats {
  // max-width: 60%;
  margin-right: 5px;
  label {
    margin-top: 5px;
    font-size: 12px;
  }
  textarea {
    resize: vertical;
    font-size: 13px;
    min-height: 42px;
    background-color: $c-grey-alpha;
    font-family: "book-antiqua";
  }
}
 .sheet-body .header-field {
  margin-bottom: 0px;
}

.ability-scores {
  flex: 0 0 140px;
  height: 425px;
  list-style: none;
  margin: 7px;
  padding: 0;
  margin-top: 80px;
  font-size: 20px;
  border: $border-style;
  border-radius: 5px;
}

.ability-scores .ability {
  height: 70px;
  text-align: center;
  background-color: $c-beige;
  color: white;
  border-bottom: $border-style;
  padding-top: 3px;
}

.ability-scores .ability:last-child {
  border-bottom: none;
}

.ability-scores .ability input.ability-score {
  height: 30px;
  width: 36px;
  margin: 0 auto;
  line-height: 32px;
  font-size: 24px;
  background: $c-grey-alpha;
}

.ability-scores .ability .ability-modifiers {
  flex: 0 0 24px;
  height: 23px;
  margin: -16px 0 0 110px;
  width: 30px;
  line-height: 22px;
  font-size: 16px;
  border-top: $border-style;
  border-left: $border-style;
}


.ability {
  text-align: center;
  border-bottom: 1px solid #fff5;
  // border-left: $border-style;
  // border-right: $border-style;
  padding-top: 3px;
}

.ability input.ability-score {
  height: 30px;
  width: 36px;
  margin: 0 auto;
  line-height: 32px;
  font-size: 24px;
  background-color: $c-grey-alpha;
  border: 1px solid #fff5;
}

.ability-modifiers {
  height: 23px;
  margin: -16px 0 0 110px;
  width: 30px;
  line-height: 22px;
  font-size: 16px;
  border-top: $border-style;
  border-left: $border-style;
}

.subatributos {
  display: grid;
  grid-column: span 12;
  grid-template-columns: repeat(12, minmax(0, 1fr));
  gap: 0px 10px;
  margin: 0 0 10px 0;
  padding: 0;
  align-content: flex-start;;

  .cell {
    text-align: center;

    > .cell__title {
      justify-content: center;

      .fas {
        margin-right: 5px;
        margin-left: 5px;

        &.attribute-icon {
          margin-right: 0;
        }
      }
    }
  }

  input,
  select,
  textarea {
    background-color: $c-grey-light;
    margin-top: 5px;
    border: 1px solid $c-brown-a;
    padding: 2px;
    vertical-align: middle;
  }

  input[disabled], 
  select[disabled], 
  textarea[disabled],
  input[readonly], 
  select[readonly], 
  textarea[readonly] {
      background-color: #ddde;
      border-color: #666;
      cursor: not-allowed;
      margin-top: 2px;
  }


  // background-color: #ddde;
  //   border-color: #666;
  //   cursor: not-allowed;

  .cell__title {
    position: relative;

    .atributo-icon {
      position: absolute;
      top: 0;
      right: 2px;
      bottom: 0;
      text-align: center;
      margin: 0;
      font-size: 28px;
      z-index: 0;
      opacity: 0.35;
      display: flex;
      align-items: center;
      justify-content: center;
    }
  }

  .cell {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    position: relative;

    .cell__title {
      flex: 100%;
      background: $c-brown-a;
      color: $c-white;
      padding: $padding-sm;
      height: 34px;

      &.rollable:hover, &.roll-surpresa:hover {
        background: $c-blood-up;
        cursor: pointer;
      }
    }
  }

  .cell__counter {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: space-between;
    label {
      font-size: 10px;
    }
  }
  

  .cell--btn {
    grid-column: span 3;

    .btn-inputs {
      display: flex;
      flex-direction: row;
      flex-wrap: nowrap;
      align-items: center;
      justify-content: space-between;
    }

    select {
      flex: 1 1;
    }

    span {
      padding: 0 4px;
    }

    input {
      flex: 1 1;
    }
  }

  .cell--ca,
  .cell--pv,
  .cell--jp,
  .cell--mov {
    grid-column: span 3; 
  }
}

.cabecalho {
    flex: 1;
    font-family: "Fondamento", cursive;
    background-color: $c-beige;
    color: $c-white;
}
.back-blackhalf {
  background: linear-gradient(to left, transparent 50%, $c-beige 50%);
  height: 30px;
  vertical-align: middle;

  input[disabled], 
  select[disabled], 
  textarea[disabled],
  input[readonly], 
  select[readonly], 
  textarea[readonly] {
      background-color: #ddde;
      border-color: #666;
      cursor: not-allowed;
      margin-top: 2px;
  }

  input,
  select,
  textarea {
    background-color: $c-grey-light;
    border: 1px solid $c-brown-a;
    padding: 2px;
    vertical-align: middle;
    margin-top: 2px;
  }
}

.back-halfblack {
  background: linear-gradient(to right, transparent 50%, $c-beige 50%);
  height: 30px;
  vertical-align: middle;

  input[disabled], 
  select[disabled], 
  textarea[disabled],
  input[readonly], 
  select[readonly], 
  textarea[readonly] {
      background-color: #ddde;
      border-color: #666;
      cursor: not-allowed;
      margin-top: 2px;
  }

  input,
  select,
  textarea {
    background-color: $c-grey-light;
    border: 1px solid $c-brown-a;
    padding: 2px;
    vertical-align: middle;
    margin-top: 2px;
  }
}
.back-black {
  background:$c-beige;
  color: white;
  height: 30px;
  vertical-align: middle;

  label {
    line-height: 30px;
  }

  input[disabled], 
  select[disabled], 
  textarea[disabled],
  input[readonly], 
  select[readonly], 
  textarea[readonly] {
      background-color: #ddde;
      border-color: #666;
      cursor: not-allowed;
      margin-top: 2px;
  }

  input,
  select,
  textarea {
    background-color: $c-grey-light;
    border: 1px solid $c-brown-a;
    // padding: 2px;
    vertical-align: middle;
    margin-top: 2px;
  }
}

select {
  font-family: "Fondamento", cursive;
}

.chat-block .chat-header .chat-img {
  flex: 0 0 42px;
  background-size: cover;
  height: 42px;
}

.chat-message .roll-result.roll-success {
  color: #18520b;
}
.chat-block .roll-result.roll-fail {
  color: #aa0200;
}